(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     16413,        314]
NotebookOptionsPosition[     16798,        310]
NotebookOutlinePosition[     17142,        325]
CellTagsIndexPosition[     17099,        322]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Control a Chemical Tank Reactor", "Section"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pts$$ = {{0, 370}, {32, 370}, {42, 272}, {
    87, 327}, {110, 284}, {150, 280}}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pts$$], {{0, 370}, {32, 370}, {42, 272}, {87, 327}, {
       110, 284}, {150, 280}}}, Automatic}}, Typeset`size$$ = Automatic, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pts$$ = {{0, 370}, {32, 370}, {42, 272}, {
         87, 327}, {110, 284}, {150, 280}}}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Quiet[$CellContext`intfn = 
         Interpolation[$CellContext`pts$$, InterpolationOrder -> 
           1]; $CellContext`sol = NDSolve[{
            
            ReplaceAll[$CellContext`neqns, $CellContext`Tc -> \
$CellContext`intfn], $CellContext`T[1] == $CellContext`TrefA, $CellContext`c[
             1] == $CellContext`crefA}, {$CellContext`c, $CellContext`T}, \
{$CellContext`t, 1, 150}, Method -> {"FixedStep", Method -> "ExplicitEuler"}, 
           StartingStepSize -> 1, MaxStepSize -> 1]; $CellContext`maxT = Max[
           Table[
            First[
             ReplaceAll[
              $CellContext`T[$CellContext`t], $CellContext`sol]], \
{$CellContext`t, 1, 150}]]; Grid[{{
            Plot[
             $CellContext`intfn[$CellContext`t], {$CellContext`t, 1, 150}, 
             PlotRange -> {230, All}, AxesOrigin -> {0, 240}, ImageSize -> 
             Medium, PlotLabel -> "Control Signal (Cooling Temperature)"], 
            SpanFromLeft}, {
            Plot[
             Evaluate[{350, 
               ReplaceAll[
                $CellContext`T[$CellContext`t], $CellContext`sol]}], \
{$CellContext`t, 1, 150}, PlotRange -> {230, 365}, AxesOrigin -> {0, 240}, 
             PlotLabel -> "Temperature", Background -> 
             If[$CellContext`maxT > 350, Pink, White], ImageSize -> Medium], 
            Show[
             Plot[
              Evaluate[
               ReplaceAll[{$CellContext`crefB, $CellContext`crefA, 
                 $CellContext`c[$CellContext`t]}, $CellContext`sol]], \
{$CellContext`t, 1, 150}, PlotRange -> {230, 1000}, AxesOrigin -> {0, 240}, 
              PlotLabel -> "Concentration", ImageSize -> 
              Medium], $CellContext`optimalSolutionPlot]}}]], 
      "Specifications" :> {{{$CellContext`pts$$, {{0, 370}, {32, 370}, {42, 
          272}, {87, 327}, {110, 284}, {150, 280}}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {SynchronousUpdating -> False}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{239., {44., 49.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`intfn = 
       InterpolatingFunction[{{0, 150}}, {
         4, 3, 0, {6}, {2}, 0, 0, 0, 0, Automatic}, {{0, 32, 42, 87, 110, 
         150}}, {{370}, {370}, {272}, {327}, {284}, {280}}, {
         Automatic}], $CellContext`sol = {{$CellContext`c -> 
          InterpolatingFunction[{{1., 150.}}, {
            4, 23, 1, {150}, {4}, 0, 0, 0, 0, Automatic}, CompressedData["
1:eJw1y01OlEEUheGjI4YOHDhgAMYYY4hRUFRE+UQEBRVFflQQ2k4Yu4W7Csa9
lLsUluASIOnHSipPvTmp+fHfvfObSW5c34v8P//WPIYpM7zF27zDWc7xLu/x
Ph/wIRf4iI/5hItc4lM+4zKf8wVfcoWvuMrXfMM1DlOLeauZdc2808yGZt5r
ZlMzW5r5oJmPmtnWzI5mPmnms2a+aGZXM1+nDiw2883OYjN7dhab+W5nsZl9
O4vNHNhZbObQzmIzR3YWm/lhZ7GZn3YWm/llZ7GZYzuLzZzYWWzmt53FZk7t
LDZzZmexmdHUOQ4csThh85L54z8HjlicsHnJjP3nwBGLE/Z4uALNN37o
            "], {
            Developer`PackedArrayForm, CompressedData["
1:eJwl0gFHnAEAgOFv55yTnHNyzsm5Ts7JySQzk5lJMpPJzCSZk8nkmmSSmUwy
M5OkMpNkkpmZZCaZycwkyWQmmZmZmUmSySQ97OX5B29Nqa+9fCoIgqngfyHC
RIhSQSUx4iSoIkmKNNVkyJKjljwF6ihSz2kaaOQMZzlHE+e5wEWaaaGVS1ym
jSu0c5VrXKeDTrq4QYlubtLDLXopc5t+BrjDIEPc5R7D3GeEUR7wkEc8Zoxx
Jphkmic8ZYZZ5njGPAs85wUvecUiS7zmDcus8JZ3rPKeD3xkjXU22OQTW3zm
C9vs8JVvfOcHP/nFb/6wyx77HPCXQ/5xxDGBEUKEiRClgkpixElQRZIUaarJ
kCVHLXkK1FHkBEEjQ9w=
             "], CompressedData["
1:eJwdznk0FHofBvCx3CJ6UQ2G0WQYkYpI3Eq+oty0kNu92qkuCUmZsTPGMpYx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             "]}, {
            Automatic}], $CellContext`T -> 
          InterpolatingFunction[{{1., 150.}}, {
            4, 23, 1, {150}, {4}, 0, 0, 0, 0, Automatic}, CompressedData["
1:eJw1y01OlEEUheGjI4YOHDhgAMYYY4hRUFRE+UQEBRVFflQQ2k4Yu4W7Csa9
lLsUluASIOnHSipPvTmp+fHfvfObSW5c34v8P//WPIYpM7zF27zDWc7xLu/x
Ph/wIRf4iI/5hItc4lM+4zKf8wVfcoWvuMrXfMM1DlOLeauZdc2808yGZt5r
ZlMzW5r5oJmPmtnWzI5mPmnms2a+aGZXM1+nDiw2883OYjN7dhab+W5nsZl9
O4vNHNhZbObQzmIzR3YWm/lhZ7GZn3YWm/llZ7GZYzuLzZzYWWzmt53FZk7t
LDZzZmexmdHUOQ4csThh85L54z8HjlicsHnJjP3nwBGLE/Z4uALNN37o
            "], {
            Developer`PackedArrayForm, CompressedData["
1:eJwl0gFHnAEAgOFv55yTnHNyzsm5Ts7JySQzk5lJMpPJzCSZk8nkmmSSmUwy
M5OkMpNkkpmZZCaZycwkyWQmmZmZmUmSySQ97OX5B29Nqa+9fCoIgqngfyHC
RIhSQSUx4iSoIkmKNNVkyJKjljwF6ihSz2kaaOQMZzlHE+e5wEWaaaGVS1ym
jSu0c5VrXKeDTrq4QYlubtLDLXopc5t+BrjDIEPc5R7D3GeEUR7wkEc8Zoxx
Jphkmic8ZYZZ5njGPAs85wUvecUiS7zmDcus8JZ3rPKeD3xkjXU22OQTW3zm
C9vs8JVvfOcHP/nFb/6wyx77HPCXQ/5xxDGBEUKEiRClgkpixElQRZIUaarJ
kCVHLXkK1FHkBEEjQ9w=
             "], CompressedData["
1:eJwNVXs8lFsXnpGJpNzKSUpMlNBB4osu76qoUOl0UjpSKcRxm5n33dIFXagU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             "]}, {Automatic}]}}, $CellContext`neqns = {
        Derivative[
          1][$CellContext`T][$CellContext`t] == (
            2.510460251046025*^8 $CellContext`c[$CellContext`t])/
           E^(8750/$CellContext`T[$CellContext`t]) + 
          0.0000166666666666667 (350 - $CellContext`T[$CellContext`t]) + 
          0.03498595747119849 (-$CellContext`T[$CellContext`t] + \
$CellContext`Tc[$CellContext`t]), 
         Derivative[1][$CellContext`c][$CellContext`t] == 
         0.0000166666666666667 (1000 - $CellContext`c[$CellContext`t]) - (
           1.2*^9 $CellContext`c[$CellContext`t])/
          E^(8750/$CellContext`T[$CellContext`t])}, 
       Attributes[Derivative] = {NHoldAll, ReadProtected}, $CellContext`TrefA = 
       250.052, $CellContext`crefA = 956.209, $CellContext`maxT = 
       349.74662569750393`, $CellContext`crefB = 
       338.691, $CellContext`optimalSolutionPlot = Graphics[{{{}, {}, {
            Hue[0.67, 0.6, 0.6], 
            Directive[
             Opacity[0.5], 
             Thickness[Large], 
             Dashing[{Small, Small}]], 
            Line[CompressedData["
1:eJw9zQs0lHkcxvH36CLdhYQuE1mSQiEleUYSKdcxaBgzI9fuTkuJmkRtLpuU
LiSKLouzqpU2smZOCZvKysZuSELpYnVzKrva9uz/5z3nPe/5vM/7ff+zZVu8
QlQ4jjv69f7v+f/Vb/+0fld74ZM0sBeYcqq7/sKwx6DrZmbFmWFPhmvfoqnH
h62J2QbG55OGPQ29i7nQyGFPR2zkEzf+sHnYZ5jFGzVsfcBcy7CkgzwHBh9V
+q2H/Q1Gb5frZTwmG0Mn1kOltJ1sAtcNT2LS2simsLnQFD++lbwAb8ZNGtD7
k2yO56Z73fObyRYQzmow2d9EXgjHhLtv8xvIi5BhYx7cfIdsiRyZ4cCHarIV
PPX7F9z/hWwN8/j80nll5MU4fTF/Xn0R2Qaf9cLLwnLJS7Cl4tXfP6STl2Kc
jTLVfA/ZFueNx7kfiCQvQ++y05cNvMh2MFYvfxVoRV6OB3u42DANsj2yKi7A
7mUqM2AW0DuYUcEsB/TaUlN+SqCdjzdaOgK35bTzUWUVnan/MoXtDtiQU3Aj
IpFZ7oCi8vVXVCfRvgLufIMPWdnJbF+BtrovRnomzJwjjFoa1OXlB9nuCG+f
lFPKNczcSuhkFjc1d3zH9pUQPzr/vDyamXPCI18P4+CJtDthZJpgZN2FA2xf
hVrtixO6HZjlqxBxb+h9yeP9bHfGs3mOyfq7meXOODmkdcNqJu0uUPPgH++s
SmK7C67G8Z30g5m51QiJUk7uU6V9NS6NmyWy/zGR7a54v6f/3CQhs9wV2e0p
aX5f9rF9DeampddpFDLL10BaFWVqK6R9LYY6xuTXjqB9LTqe61qWXUlguxs2
pr378o+MWe6GQc939lmatLujOMTQKalmL9vdcdn1Ydz1XcycB2JXmoZaWDDD
A/wYZfazZ3L2vQeOVNnfe5jLrPBAwdKhW5/8mDlPGETmBbpqMMMTCR82aafl
7GG9J4px61L9VGaFJ9pGvLzpmrGb9V5wFtte4yYzwwujzCfqdh6KZ70X0lUm
FPSoMyu80NWaZDnqWBzrvdEzoPzNcjozvNFmH3RxY8Eu1nujrqh4bMECZoU3
ntqqbW0sj2W9AMVlK7f/5cwMAcaqqDW/bdnJegGux9jsaopkVghwVhQSmjq0
g/U+2C26OU2ZyQwfJFfzGkctYpb7IHxr5CXTlhjW+0AUzd/muJ+ZEyJv22n1
EjtmCBGm/3im01A064UI13R7kVDDrBAi6EbEjfwTzJwvdu6odv51KzN8IXgR
YT7FnXpf6BpOH5+3kHpfVJod8CjUpd4PSYmZp+JHU++HawscuuM/fMt6Pwy0
aBUbPmNW+EGj+4+ZIx8xc/6omlT7c3kDM/yR8XTM7c811Puja0BHZZ+Cen9o
fNyweUY59euw2pO3KaeU+nWoXh8+u72E+nVwaReoK4uoXwcbnfkq8y9SL0Jc
drzqhHPUi7Al2LjS/Sz1IgQZBZ/ryaVeBLvsiILqHOoDwNNKP9qZTX0ASmvt
+iyzqA9AxRxd+dUT1AfAQSmzFB+nPhAW7X0dc49RH4jK+62zNDOpD4RR8yoz
naPUByK3t/Sh1RHqxZhx19AzLIN6McrFA0uLDlMvRpJ2Y8KXdOrF4HdbBMrI
XBASal4vaTxEfRC0z+yrWEuWB6Er+HbJg++pD8Id7ppaMJmTIFlV0Po5jZkn
gaWZtTCLDAleJjZXgiyRwEU3YvPrVPq/BHs53u+55DwJNMN7NvuSFRLEq0pv
a5A7JEjMsY1qSqHzpWg5eVnjJJknRdJtFx8pGVJ8XFPZa0qWSDG3eETKYDKd
L0XUst2f6sl5Uhy+unwwj6yQorRjvSiG3CFFtHV6rzuZkyH7vGynCZkng9h8
SudoMmSoXq061HWQzpchKXR/4S2yXAY39eCac1/9L/0lqGs=
             "]]}}}, {
         AspectRatio -> GoldenRatio^(-1), Axes -> True, AxesOrigin -> {0, 0}, 
          PlotRange -> {{0., 148.}, {0, 956.2084321662809}}, 
          PlotRangeClipping -> True, PlotRangePadding -> {
            Scaled[0.02], 
            Scaled[0.02]}}]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]]]
},
WindowSize->{707, 827},
WindowMargins->{{598, Automatic}, {Automatic, 64}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 50, 0, 70, "Section"],
Cell[1288, 32, 15506, 276, 70, InheritFromParent]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature xv03DrXqZWtbCCKZ@7T0M9y9 *)
